/**
 * 
 */
package org.elsys.pluginsample.editor.undoredo;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.dialogs.IInputValidator;
import org.eclipse.jface.dialogs.InputDialog;

/**
 * @author kiko
 * 
 */
public class AddAction extends Action {

	private ListEditor fEditor;

	public AddAction(ListEditor editor) {
		super();
		setText("Add");
		fEditor = editor;
	}

	@Override
	public void run() {
		InputDialog dialog = new InputDialog(fEditor.getSite().getShell(),
				"Input string", "Add a string", "", new IInputValidator() {
					public String isValid(String newText) {
						return null;
					}
				});
		if (dialog.open() == IDialogConstants.OK_ID) {
			fEditor.getContent().add(dialog.getValue());
			fEditor.getViewer().refresh();
			fEditor.setDirty();
		}
	}

}
