/**
 * 
 */
package org.elsys.pluginsample.editor.undoredo;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.ISelectionChangedListener;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.SelectionChangedEvent;

/**
 * @author kiko
 * 
 */
public class DeleteAction extends Action {

	private ListEditor fEditor;

	public DeleteAction(ListEditor editor) {
		super();
		setText("Delete");
		fEditor = editor;
		fEditor.getViewer().addSelectionChangedListener(new ISelectionChangedListener() {

			public void selectionChanged(SelectionChangedEvent event) {
				if (((IStructuredSelection) fEditor.getViewer().getSelection()).isEmpty() == false) {
					setEnabled(true);
				} else
					setEnabled(false);
			}

		});
	}

	@Override
	public void run() {
		IStructuredSelection selection = (IStructuredSelection) fEditor.getViewer().getSelection();
		String selectedString = (String) selection.getFirstElement();
		fEditor.getContent().remove(selectedString);
		fEditor.getViewer().refresh();
		fEditor.setDirty();
	}
}
